BrowserCategory["TSi ProPac", None,
        {BrowserCategory["Basic Tools", None,
                {BrowserCategory["Differential Geometry",None,
                        {Item["Grad","BasicTools.nb",CopyTag->"Grad"],
                        Item["Jacob","BasicTools.nb",CopyTag->"Jacob"],
                        Item["LieBracket & Ad","BasicTools.nb",CopyTag->"LieBracket"],
                        Item["LieDerivative","BasicTools.nb",CopyTag->"LieDerivative"],
                        Item["Involutive","BasicTools.nb",CopyTag->"Involutive"],
                        Item["Rank","BasicTools.nb",CopyTag->"Rank"],
                        Item["Span","BasicTools.nb",CopyTag->"Span"],
                        Item["SpecialNullSpace","BasicTools.nb",CopyTag->"SpecialNullSpace"],
                        Item["Invariant Distributions","BasicTools.nb",CopyTag->"Invariant Distributions"],
                        Item["Triangular Decomposition","BasicTools.nb",CopyTag->"Triangular Decomposition"]
                     }],
                  BrowserCategory["Forms",None,
                     {Item["Introduction","DifferentialCalculus.nb",CopyTag->"Introduction"],
                     Item["Exterior Derivative","DifferentialCalculus.nb",CopyTag->"Exterior Derivative"],
                     Item["Forms","DifferentialCalculus.nb",CopyTag->"Forms"],
                     Item["Wedge Product","DifferentialCalculus.nb",CopyTag->"Wedge Product"],
                     Item["Form Basis","DifferentialCalculus.nb",CopyTag->"Form Basis"],
                     Item["Lie Derivative","DifferentialCalculus.nb",CopyTag->"Lie Derivative"],
                     Item["Codistribution Rank","DifferentialCalculus.nb",CopyTag->"Codistribution Rank"],
                     Item["Contraction","DifferentialCalculus.nb",CopyTag->"Contraction"],
                     Item["Bibliography","DifferentialCalculus.nb",CopyTag->"Bibliography"]
                     }],
                Item["Series Expansion","BasicTools.nb",CopyTag->"Series Expansion"],
                Item["Matlab Output","BasicTools.nb",CopyTag->"Matlab Output"],
                Item["Complex Arrays","BasicTools.nb",CopyTag->"Complex Arrays"],
                BrowserCategory["Manifolds",None,  
                        {Item["Introduction","Manifolds.nb",CopyTag->"Introduction"],
                        Item["Implicit & Parametric Descriptions","Manifolds.nb",CopyTag->"Implicit"],
                        Item["Equilibrium Surface","Manifolds.nb",CopyTag->"Equilibrium Surface"],
                        Item["Exponential Map","Manifolds.nb",CopyTag->"Exponential Map"],
                        Item["Composition","Manifolds.nb",CopyTag->"Composition"],
                        Item["Pitfalls","Manifolds.nb",CopyTag->"Pitfalls"],
                        Item["Aircraft Example","Manifolds.nb",CopyTag->"Aircraft Example"]
                }]
          }],
       
        BrowserCategory["Controls", None,
                {Item["Getting Started", "LinearControl.nb", CopyTag -> "Getting Started"],
                BrowserCategory["Basics of The Linear Package", None,                   
                   {Item["What's in the Package", "LinearControl.nb", CopyTag -> "What's in the Package"],
                        Item["Poles and Zeros", "LinearControl.nb", CopyTag -> "Poles and Zeros"],
                        Item["Linearization", "LinearControl.nb", CopyTag -> "Linearization"],
                        Item["State Space to Transfer Function and Back","LinearControl.nb",CopyTag->"State Space to Transfer Function and Back"],
                        Item["Minimal Realization", "LinearControl.nb", CopyTag -> "Minimal Realization"],
                        Item["Controllability, Observability and Pole Placement", "LinearControl.nb", CopyTag -> "Controllability"],
                        Item["Kalman Canonical Form", "LinearControl.nb", CopyTag -> "Kalman Form"],
                        Item["Another Example: lateral aircraft dynamics", "LinearControl.nb", CopyTag -> "Another Example"]
                }],
                BrowserCategory["Graphics Functions", None,
                        {Item["Introduction", "LinearControl.nb", CopyTag -> "Introduction"],
                        Item["Bode Plot", "LinearControl.nb", CopyTag -> "Bode plot"],
                        Item["Nyquist Plot", "LinearControl.nb", CopyTag -> "Nyquist Plot"],
                        Item["Root Locus", "LinearControl.nb", CopyTag -> "Root Locus"],
                        Item["Pole-Zero Plot", "LinearControl.nb", CopyTag -> "Pole-Zero Plot"]
                }],
                BrowserCategory["The Linear Quadratic Regulator Problem", None,
                   {Item["Introduction", "LinearControl.nb", CopyTag -> "Introduction the linear"],
                        Item["The Lyapunov Equation", "LinearControl.nb", CopyTag -> "LyapunovEquation"],
                        Item["The Algebraic Riccati Equation", "LinearControl.nb", CopyTag -> "The Algebraic Riccati Equation"],
                        Item["Optimal State Feedback", "LinearControl.nb", CopyTag -> "Optimal State Feedback"],
                        Item["Optimal Stochastic State Estimator", "LinearControl.nb", CopyTag -> "Optimal Stochastic State Estimator"]
                }],
                BrowserCategory["Basics of the Nonlinear Package", None,
                        {Item["What's in the Package", "NonlinearControl.nb", CopyTag -> "Package"],
                        Item["Controllability & Observability", "NonlinearControl.nb", CopyTag -> "Controllability & Observability"],
                        Item["Exact Feedback Linearization", "NonlinearControl.nb", CopyTag -> "Exact Feedback Linearization"],
                        Item["Input-Output Linearization, Relative Degree & Decoupling", "NonlinearControl.nb", CopyTag -> "Input-Output Linearization"],
                        Item["Dynamic extension", "NonlinearControl.nb", CopyTag -> "Dynamic extension"],
                        Item["Dynamic Inverse", "NonlinearControl.nb", CopyTag -> "Dynamic Inverse"],
                        Item["Adaptive Control", "NonlinearControl.nb", CopyTag -> "Adaptive Control"],
                        Item["Nonlinear Observers","Observer.nb",CopyTag->"Exponential Observer"],
                        Item["Creating SIMULINK S-Functions", "NonlinearControl.nb", CopyTag -> "Creating SIMULINK S-Functions"]
                }],
                BrowserCategory["Variable Structure Control",None,
                        {Item["Introduction","VSControl.nb",CopyTag->"Introduction"],
                        Item["The Sliding Surface","VSControl.nb",CopyTag->"Sliding"],
                        Item["Reaching","VSControl.nb",CopyTag->"Reaching"],
                        Item["Smoothing","VSControl.nb",CopyTag->"Smoothing"],
                        Item["Moderating","VSControl.nb",CopyTag->"Moderating"]
                }],
                BrowserCategory["Observer Tools",None,
                        {Item["Introduction","ObserverForms.nb",CopyTag->"Introduction"],
                         Item["Autonomous Systems","ObserverForms.nb",CopyTag->"Autonomous Examples"],
                         Item["Rank Condition Failure","ObserverForms.nb",CopyTag->"Failure of Rank Condition"],
                         Item["Zero-Input Unobservable Systems","ObserverForms.nb",CopyTag->"Zero-input Unobservable"],
                         Item["Bibliography","ObserverForms.nb",CopyTag->"Bibliography"]
                }],
                Item["Bibliography","NonlinearControl.nb",CopyTag->"Bibliography"]
        }],
        BrowserCategory["Dynamics", None,
                {Item["Introduction", "Dynamics.nb", CopyTag -> "Introduction"],
                Item["Getting Started","Dynamics.nb", CopyTag -> "Getting Started"],
                BrowserCategory["The Basics of TSi Dynamics",None,
                        {Item["What's in the Package","Dynamics.nb",CopyTag->"What's in the Package"],
                        Item["Data Structures","Dynamics.nb",CopyTag->"Data Structures"]
                }],
                BrowserCategory["Model Assembly & Computation",None,  
                        {Item["Building Equations","Dynamics.nb",CopyTag->"Building Equations"],
                        Item["Simulation: Numerical Solution","Dynamics.nb",CopyTag->"Simulation"],
                        Item["Creating MEX-Files","Dynamics.nb",CopyTag->"Creating MEX-Files"]
                }],
                BrowserCategory["More Examples",None,
                       {Item["Suspension System","Dynamics.nb",CopyTag->"Suspension"],
                       Item["Flexible Manipulator","Dynamics.nb",CopyTag->"Flexible Manipulator"],
                       Item["Tractor-Trailer","Dynamics.nb",CopyTag->"Tractor-Trailer"] 
                }],
                BrowserCategory["Constraints",None,
                       {Item["Introduction","Dynamics.nb",CopyTag->"Constraints Intro"],
                       Item["Closed Chains","Dynamics.nb",CopyTag->"Closed Chain"],
                       Item["The Rolling Disk","Dynamics.nb",CopyTag->"Rolling Disk"],
                       Item["Drive Train","Dynamics.nb",CopyTag->"Drive Chain"]
                }],
                BrowserCategory["Backlash and Friction",None,
                       {Item["Introduction","Backlash.nb",CopyTag->"Introduction"],
                       Item["Backlash","Backlash.nb",CopyTag->"Backlash"],
                       Item["Friction","Backlash.nb",CopyTag->"Friction"]
                }],
                Item["Bibliography","Dynamics.nb",CopyTag->"References"]
         }],
         Item["Function Index","MasterBrowserIndex.nb",CopyTag->None,IndexTag->"MasterIndexHeading"]
}]
